cURL
curl --request POST \
--url https://api.maesn.dev/auth/{TARGET_SYSTEM} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"webhookCallbackUrl": "https://your-app.com/webhooks/account-key",
"baseUrl": "https://entity-api1-4.abacus.ch",
"callBackUrl": "https://your-app.com/callback",
"cancelCallbackUrl": "https://your-app.com/cancel",
"includeSignature": false,
"tenantId": "tenant_abc123"
}
'import requests
url = "https://api.maesn.dev/auth/{TARGET_SYSTEM}"
payload = {
"webhookCallbackUrl": "https://your-app.com/webhooks/account-key",
"baseUrl": "https://entity-api1-4.abacus.ch",
"callBackUrl": "https://your-app.com/callback",
"cancelCallbackUrl": "https://your-app.com/cancel",
"includeSignature": False,
"tenantId": "tenant_abc123"
}
headers = {
"X-API-KEY": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookCallbackUrl: 'https://your-app.com/webhooks/account-key',
baseUrl: 'https://entity-api1-4.abacus.ch',
callBackUrl: 'https://your-app.com/callback',
cancelCallbackUrl: 'https://your-app.com/cancel',
includeSignature: false,
tenantId: 'tenant_abc123'
})
};
fetch('https://api.maesn.dev/auth/{TARGET_SYSTEM}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"https://login-url.com"Authentication
Post auth
POST
/
auth
/
{TARGET_SYSTEM}
cURL
Headers
API key
Path Parameters
Body
application/json
Example:
"https://your-app.com/webhooks/account-key"
Example:
"https://entity-api1-4.abacus.ch"
Example:
"https://your-app.com/callback"
Example:
"https://your-app.com/cancel"
Example:
false
Example:
"tenant_abc123"
Response
201 - text/html
Successful response
The response is of type string.
Example:
"https://login-url.com"
Last modified on May 15, 2026
Was this page helpful?
⌘I